net.dontdrinkandroot.wicketexample.dao

## Class JpaTestEntityDao

- java.lang.Object
- - net.dontdrinkandroot.persistence.dao.AbstractJpaDao<TestEntity,Long>
  - - net.dontdrinkandroot.wicketexample.dao.JpaTestEntityDao

All Implemented Interfaces:
  net.dontdrinkandroot.persistence.dao.Dao<TestEntity,Long>, TestEntityDao

    public class JpaTestEntityDao
    extends net.dontdrinkandroot.persistence.dao.AbstractJpaDao<TestEntity,Long>
    implements TestEntityDao

### Field Summary

### Fields inherited from class net.dontdrinkandroot.persistence.dao.AbstractJpaDao

`entityClass, logger`

### Constructor Summary

Constructors
Constructor and Description
`JpaTestEntityDao()`

### Method Summary

Methods
`void` `initTestData()`

### Methods inherited from class net.dontdrinkandroot.persistence.dao.AbstractJpaDao

`createIterator, delete, delete, find, find, find, find, findAll, findAll, findAll, findAll, findAll, findByAttribute, findSingle, findSingleOrNull, findSorted, getCount, getCriteriaBuilder, getEntityManager, load, save, setEntityManager`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface net.dontdrinkandroot.persistence.dao.Dao

`delete, delete, find, findAll, findAll, findAll, findAll, findAll, findByAttribute, findSorted, getCount, load, save`

### Constructor Detail

#### JpaTestEntityDao

    public JpaTestEntityDao()

### Method Detail

#### initTestData

    @Transactional
    public void initTestData()

Specified by:
  `initTestData` in interface `TestEntityDao`